Bug Hunting Session
Bug 109317 - FILEOPEN PPTX: Incorrect rotation of flipped custom shapes
Summary: FILEOPEN PPTX: Incorrect rotation of flipped custom shapes
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Paul Trojahn
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-24 17:05 UTC by Paul Trojahn
Modified: 2017-08-31 20:55 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example presentation (34.22 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2017-07-24 17:11 UTC, Paul Trojahn
Details
Example presentation in PowerPoint (63.35 KB, image/png)
2017-07-24 17:13 UTC, Paul Trojahn
Details
Example presentation in Impress (15.61 KB, image/png)
2017-07-24 17:14 UTC, Paul Trojahn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Trojahn 2017-07-24 17:05:06 UTC
Description:
The rotation of flipped custom shapes from pptx files is displayed incorrectly.

Steps to Reproduce:
1.Create a custom shape in PowerPoint.
2.Flip it and then rotate it.
3.Save and open in Impress.

Actual Results:  
The rotation differs from the one in PowerPoint.

Expected Results:
It should be the same.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/59.0.3071.86 Safari/537.36
Comment 1 Paul Trojahn 2017-07-24 17:11:57 UTC
Created attachment 134822 [details]
Example presentation
Comment 2 Paul Trojahn 2017-07-24 17:13:05 UTC
Created attachment 134823 [details]
Example presentation in PowerPoint
Comment 3 Paul Trojahn 2017-07-24 17:14:33 UTC
Created attachment 134824 [details]
Example presentation in Impress
Comment 4 Commit Notification 2017-08-10 15:39:11 UTC
Paul Trojahn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3e33a2551532806b99f6c8ca415136cd3f2f9256

tdf#109317 Fix incorrect rotation of flipped custom OOXML shapes

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Cor Nouws 2017-08-17 07:37:57 UTC
great fix, Paul. Thanks!

OK in Version: 6.0.0.0.alpha0+
Build ID: 75933b220d48bceff25b07cfc4b55c70a2e24917
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-08-16_22:50:24
Locale: nl-NL (nl_NL.UTF-8); Calc: group
Comment 6 Ahmad Harthi 2017-08-28 10:47:55 UTC
Thanks Paul, I think your patch partially fixed bug 100065 too but still there are some shifted and flipped shapes (obsolete attachment vs last attachment in 100065).
Comment 7 Timur 2017-08-28 13:26:29 UTC
Example is probably from MSO 2013 and can be open with that but I couldn't open it with MSO 2010. I guess rotate is right. Anyway, both works.
Not sure how this one is working and Bug 68759 not.
Comment 8 Paul Trojahn 2017-08-31 20:55:49 UTC
The test file was made with PowerPoint 2016. No idea why it doesn't work with 2010. I'll take a look at these two bugs.